%define		package	Yaml
%define		php_min_version 5.3.9
%include	/usr/lib/rpm/macros.php
Summary:	Symfony2 Yaml Component
Name:		php-symfony2-Yaml
Version:	2.7.8
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	a522f9506497e04d521b3634b54c7745
URL:		http://symfony.com/doc/2.7/components/yaml/introduction.html
BuildRequires:	phpab
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(ctype)
Requires:	php(date)
Requires:	php(json)
Requires:	php(mbstring)
Requires:	php(pcre)
Requires:	php(spl)
Requires:	php-dirs >= 1.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The YAML Component loads and dumps YAML files.

%prep
%setup -q -n yaml-%{version}

%build
phpab -n -e '*/Tests/*' -o autoload.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
cp -a *.php */ $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
rm -r $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_data_dir}/Symfony/Component/Yaml
%{php_data_dir}/Symfony/Component/Yaml/*.php
%{php_data_dir}/Symfony/Component/Yaml/Exception
%changelog
* Tue Jan 05 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-Yaml.git;a=log;h=master

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> 367f354
- up to 2.7.8

* Mon Jan 04 2016 Elan Ruusamäe <glen@delfi.ee> f0ce86b
- php-dirs dep

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 6f99133
- skip implicit pear-dirs package, dir dep is enough

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> ca2c6d6
- install to php data dir

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> a162ec6
- up to 2.7.7; use autoload.php for autoload name

* Fri Oct 02 2015 Elan Ruusamäe <glen@delfi.ee> 3de4d91
- up to 2.7.5

* Tue Aug 11 2015 Elan Ruusamäe <glen@delfi.ee> 4851ffd
- fix php-pear dependency

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> b47bff4
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> fe8b312
- use autoloader.php as autoload bootstrap

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 5ed5639
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 7c13cc2
- up to 2.4.4

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> 5d1344f
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 109c7c2
- up to 2.3.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> 841aa25
- up to 2.1.6

* Tue Dec 11 2012 Elan Ruusamäe <glen@delfi.ee> d22b129
- up to 2.1.4, release 2012-11-29

* Wed Oct 17 2012 Elan Ruusamäe <glen@delfi.ee> 5aff703
- up to 2.1.2, from symfony2 channel

* Wed Oct 17 2012 Elan Ruusamäe <glen@delfi.ee> 226900c
- rename to php-symfony2-Yaml

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 7933f13
- updated to: 1.0.6

* Sun Feb 27 2011 Elan Ruusamäe <glen@pld-linux.org> 5216cc3
- updated to: 1.0.5

* Wed Oct 20 2010 Elan Ruusamäe <glen@pld-linux.org> 14e70fa
- initial from pear make-rpm-spec

